###########################################################################
#
# win32.mak -- Makefile for file db2txt
# Copyright (C) 1999 DigiLib Systems Ltd, All rights reserved
#
###########################################################################


PACKAGE = db2txt
VERSION = 
 
AR = lib
CC = cl
#CFLAGS = -g -O 
CPPFLAGS = 
DEFS = -DQUIET -DHAVE_CONFIG_H -D__WIN32__ -D_LITTLE_ENDIAN -D__STL_NO_NEW_IOSTREAMS \
-DGSDL_NAMESPACE_BROKEN -DSHORT_SUFFIX
INCLUDES = -I. -I..\..\lib -I..\..\packages\mg-1.3d\lib \
	   -If:\STLport-3.2\stlport -I..\..\packages\wingdbm
LIBS = ..\..\packages\mg-1.3d\lib\unitool.obj ..\..\lib\gsdllib.lib \
       ..\..\lib\gsdlunicode.obj ..\..\packages\wingdbm\gdbm.lib
GSDLOS = windows

COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
LINK = $(CC) $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
e = .exe
 
HEADERS = 

SOURCES = db2txt.cpp

OBJECTS = db2txt$o

EXEC = db2txt$e
 
all : $(EXEC)

install: $(EXEC)
	copy $(EXEC) ../../bin/$(GSDLOS)/$(EXEC)

clean:
	del *.$o
	del $(EXEC)

DB2TXT_OBJS = db2txt$o

db2txt$e: $(DB2TXT_OBJS) $(LIBS)
	  $(LINK) $(DB2TXT_OBJS) $(LIBS)
